/*****************************************************************************
* Copyright (c) 1990-98 Digi International Inc., All Rights Reserved
* 
* This software contains proprietary and confidential information of Digi
* International Inc.  By accepting transfer of this copy, Recipient agrees
* to retain this software in confidence, to prevent disclosure to others,
* and to make no use of this software other than that for which it was
* delivered.  This is an unpublished copyrighted work of Digi International
* Inc.  Except as permitted by federal law, 17 USC 117, copying is strictly
* prohibited.
* 
* Restricted Rights Legend
*
* Use, duplication, or disclosure by the Government is subject to
* restrictions set forth in sub-paragraph (c)(1)(ii) of The Rights in
* Technical Data and Computer Software clause at DFARS 252.227-7031 or
* subparagraphs (c)(1) and (2) of the Commercial Computer Software -
* Restricted Rights at 48 CFR 52.227-19, as applicable.
*
* Digi International Inc. 11001 Bren Road East, Minnetonka, MN 55343
*
*****************************************************************************/
// ProtocolSna.h: interface for the CProtocolSna class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PROTOCOLSNA_H__51B24EEF_FAF6_11D1_8674_2A2DF0000000__INCLUDED_)
#define AFX_PROTOCOLSNA_H__51B24EEF_FAF6_11D1_8674_2A2DF0000000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "protocol.h"

class SERVICE_EXPORTED_CLASS CProtocolSna : public CProtocol  
{
	DECLARE_DYNAMIC(CProtocolSna)

public:
	CProtocolSna(HKEY const hKeyRoot, CString const strRegPath, CConfigObject const * const pParent);
	virtual ~CProtocolSna();
	virtual BOOL GetParameters(void);
	virtual BOOL SetParameters(void);
	virtual BOOL RemoveParameters(BOOL fRemoveKey = FALSE);

	virtual BOOL AddWizardPages(CConfigWizSheet * const pSheet);
	virtual BOOL NextWizardPage(int const nState);

	virtual BOOL AddChild(void){ASSERT(FALSE);return FALSE;}
	virtual BOOL DoProperties(void);
	static BOOL IsSnaInstalled();
private:
	BOOL CopyMSSNAFiles();
	BOOL CopyFile(LPCTSTR lpszsrc,LPCTSTR lpszdest,LPCTSTR lpszfile);
	BOOL ModifyIBMSNARegistry();
	static BOOL m_bIBMServerInstalled;
	static BOOL m_bMSServerInstalled;
};

#endif // !defined(AFX_PROTOCOLSNA_H__51B24EEF_FAF6_11D1_8674_2A2DF0000000__INCLUDED_)
